# maak/plugs/start.py
#
#

""" start various bots. """

## maak imports

from maak import cmnds, fleet, Config
from maak.drivers.irc import IRCBot
from maak.utils import parse_options

## basic imports

import logging
import _thread

## default config 

config = Config()
config.server = "localhost"
config.port = 6667
config.nick = "maak"
config.username = "Mail Tracking System"
config.channel = "#maak"

## start command

def start(event):
    if event.rest: opts = parse_options(event.rest) ; config.update(opts)
    bot = IRCBot(**config)
    fleet.register(bot.what, bot)
    try: _thread.start_new_thread(bot.run_forever, ())
    except: error()
    fleet.bots.append(bot)

cmnds.register("start", start)
